> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# List Ongoing And Recent Crawl Jobs Created By A User

> Get a list of ongoing and recent crawl jobs for the user.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/convai/knowledge-base/crawl
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/convai/knowledge-base/crawl:
    get:
      tags:
        - Conversational AI
      summary: List Ongoing And Recent Crawl Jobs Created By A User
      description: Get a list of ongoing and recent crawl jobs for the user.
      operationId: list_crawl_jobs_route
      parameters:
        - name: include_job_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: Ids of additional crawl jobs to retrieve
            title: Include Job Ids
          description: Ids of additional crawl jobs to retrieve
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: >-
              How many documents to return at maximum. Can not exceed 100,
              defaults to 30.
            default: 30
            title: Page Size
          description: >-
            How many documents to return at maximum. Can not exceed 100,
            defaults to 30.
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Used for fetching next page. Cursor is returned in the response.
            title: Cursor
          description: Used for fetching next page. Cursor is returned in the response.
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCrawlJobsResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ListCrawlJobsResponseModel:
      properties:
        crawl_jobs:
          items:
            $ref: '#/components/schemas/GetCrawlJobResponseModel'
          type: array
          title: Crawl Jobs
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - crawl_jobs
      title: ListCrawlJobsResponseModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GetCrawlJobResponseModel:
      properties:
        type:
          $ref: '#/components/schemas/CrawlType'
          default: discovery
        seed_url:
          type: string
          title: Seed Url
        pattern:
          anyOf:
            - type: string
            - type: 'null'
          title: Pattern
        max_depth:
          type: integer
          title: Max Depth
        max_pages:
          type: integer
          title: Max Pages
        status:
          $ref: '#/components/schemas/CrawlStatus'
          default: queued
        pages_identified:
          type: integer
          title: Pages Identified
          default: 0
        pages_scraped:
          type: integer
          title: Pages Scraped
          default: 0
        pages_skipped:
          type: integer
          title: Pages Skipped
          default: 0
        pages_failed:
          type: integer
          title: Pages Failed
          default: 0
        root_folder_id:
          type: string
          title: Root Folder Id
        updated_at:
          type: integer
          title: Updated At
        id:
          type: string
          title: Id
        created_at:
          type: integer
          title: Created At
      type: object
      required:
        - seed_url
        - max_depth
        - max_pages
        - root_folder_id
        - updated_at
        - id
        - created_at
      title: GetCrawlJobResponseModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CrawlType:
      type: string
      enum:
        - discovery
        - sitemap
      title: CrawlType
      default: discovery
    CrawlStatus:
      type: string
      enum:
        - queued
        - processing
        - succeeded
        - failed
        - skipped
        - cancelled
      title: CrawlStatus
      default: queued

````